org.apache.maven.scm.provider.hg.command.inventory

## Class HgListCommand

- java.lang.Object
- - org.apache.maven.scm.command.AbstractCommand
  - - org.apache.maven.scm.command.list.AbstractListCommand
    - - org.apache.maven.scm.provider.hg.command.inventory.HgListCommand

All Implemented Interfaces:
  Command

    public class HgListCommand
    extends AbstractListCommand
    implements Command

Get a list of all files in the repository

Version:
  $Id: HgListCommand.java 686566 2008-08-16 21:52:46Z olamy $
Author:
  ryan daum

### Field Summary

### Fields inherited from interface org.apache.maven.scm.command.Command

`ROLE`

### Constructor Summary

Constructors
Constructor and Description
`HgListCommand()`

### Method Summary

Methods
`protected ListScmResult` `executeListCommand(ScmProviderRepository repository, ScmFileSet fileSet, boolean recursive, ScmVersion scmVersion)` List contents of the remote repository

### Methods inherited from class org.apache.maven.scm.command.list.AbstractListCommand

`executeCommand`

### Methods inherited from class org.apache.maven.scm.command.AbstractCommand

`execute, getLogger, setLogger`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.maven.scm.command.Command

`execute, getLogger, setLogger`

### Constructor Detail

#### HgListCommand

    public HgListCommand()

### Method Detail

#### executeListCommand

    protected ListScmResult executeListCommand(ScmProviderRepository repository,
                                   ScmFileSet fileSet,
                                   boolean recursive,
                                   ScmVersion scmVersion)
                                        throws ScmException

List contents of the remote repository

Specified by:
  `executeListCommand` in class `AbstractListCommand`
Parameters:
  `repository` - what to list
  `fileSet` - the files to list
  `recursive` - whether list should return subfolder listing
Returns:
  the list of files
Throws:
  `ScmException`